Subject: Re: bug#63455: 30.0.50; display-buffer-in-direction is always resizing

From: martin rudalics <[email-masked]>
Date: Fri, 19 May 2023 09:31:05 +0200

> This function should be added instead of your changes in
 > help--window-setup and temp-buffer-window-show?

IIRC 'help--window-setup' wants us to (1) show the window via
'display-buffer' (2) call 'help-make-xrefs' which may change the buffer
size and (3) only then fit the window to the buffer, something "this
function" cannot accomplish.  BTW, this is a special case the NO-RESIZE
argument might not handle correctly in the queer case where a user has
'temp-buffer-resize-mode' enabled but does _not_ want to fit help
windows to their buffer and added a special rule for *Help* buffers.

So conceptually "this function" should be used only in functions like
'hack-local-variables-confirm' where we do something temporary buffer
likish without calling 'with-temp-buffer-window' explicitly.

martin